using Microsoft.Xna.Framework;

namespace AlienAttack
{
	public class Explosion : Sprite
	{
		public Explosion()
		{
			LoadContent(AlienAttackGame.Instance.Content, "gfx\\explosion\\explosion_{0}", 10);
		}

		public new bool Update(GameTime gameTime)
		{
			// if it's the final frame, return true to let the other side know we're done
			if(FrameIndex == 9)
				return true;

			AnimateLoop(gameTime, 35);

			return false;
		}
	}
}
